Subject: Re: linux-next: Tree for Oct 15 (usb gadget f_mass_storage and storage_common)

From: Randy Dunlap <[email-masked]>
Date: Tue, 15 Oct 2013 12:50:29 -0700

On 10/15/13 07:02, Thierry Reding wrote:
> Hi all,
> 
> I've uploaded today's linux-next tree to the master branch of the
> repository below:
> 
>         git://gitorious.org/thierryreding/linux-next.git
> 
> A next-20131015 tag is also provided for convenience.
> 
> Gained a new conflict, but nothing too exciting. x86 and ARM default
> configurations build fine. I've also used an x86 allmodconfig build to
> check for build errors. Mark fixed most of those in the trees that he
> created last Thursday and Friday, so I've cherry-picked them on top of
> the final merge. There was one new build failure in the staging tree
> that was trivial to fix so I added a patch to the tree as well.

on x86_64:

drivers/usb/gadget/f_mass_storage.c: In function 'fsg_main_thread':
drivers/usb/gadget/f_mass_storage.c:2509:2: error: implicit declaration of function 'set_fs' [-Werror=implicit-function-declaration]
drivers/usb/gadget/f_mass_storage.c:2509:2: error: implicit declaration of function 'get_ds' [-Werror=implicit-function-declaration]

(needs #include <linux/uaccess.h>)

and
when CONFIG_BLOCK is not enabled:

drivers/usb/gadget/storage_common.c: In function 'fsg_lun_open':
drivers/usb/gadget/storage_common.c:241:3: error: implicit declaration of function 'bdev_logical_block_size' [-Werror=implicit-function-declaration]
drivers/usb/gadget/storage_common.c:242:3: error: implicit declaration of function 'blksize_bits' [-Werror=implicit-function-declaration]

Full randconfig file is attached.

-- 
~Randy